Package org.linphone.core

# Enum Class ChatRoom.State

java.lang.Object
java.lang.Enum<ChatRoom.State>
org.linphone.core.ChatRoom.State

All Implemented Interfaces:
  `Serializable`, `Comparable<ChatRoom.State>`, `Constable`

Enclosing interface:
  ChatRoom

public static enum ChatRoom.State extends Enum<ChatRoom.State>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Created`
Chat room was created on the server.
`CreationFailed`
Chat room creation failed.
`CreationPending`
One creation request was sent to the server.
`Deleted`
Chat room was deleted on the server.
`Instantiated`
Chat room is now instantiated on local.
`None`
Initial state.
`Terminated`
Chat room exists on server but not in local.
`TerminationFailed`
The chat room termination failed.
`TerminationPending`
Wait for chat room termination.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ChatRoom.State`
`fromInt(int value)`
`int`
`toInt()`
`static ChatRoom.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChatRoom.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final ChatRoom.State None
Initial state.

### Instantiated

public static final ChatRoom.State Instantiated
Chat room is now instantiated on local.

### CreationPending

public static final ChatRoom.State CreationPending
One creation request was sent to the server.

### Created

public static final ChatRoom.State Created
Chat room was created on the server.

### CreationFailed

public static final ChatRoom.State CreationFailed
Chat room creation failed.

### TerminationPending

public static final ChatRoom.State TerminationPending
Wait for chat room termination.

### Terminated

public static final ChatRoom.State Terminated
Chat room exists on server but not in local.

### TerminationFailed

public static final ChatRoom.State TerminationFailed
The chat room termination failed.

### Deleted

public static final ChatRoom.State Deleted
Chat room was deleted on the server.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ChatRoom.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ChatRoom.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ChatRoom.State fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()